/*---- Espacer le numéro de tel (1 espace tous les 2 numéros) ----*/
$('#tel').blur(function(){
    var valeurTapee = $(this).val();
    console.log('Valeur Tapée = '+valeurTapee);

    
    var valeurNettoyee = cleanInput(valeurTapee);
    console.log('Valeur Nettoyée = '+valeurNettoyee);
    
    
    var valeurTraitee = addSpaces(valeurTapee);
    console.log('Valeur Traitée = '+valeurTraitee);
})





function cleanInput(valeurTapee) {
    valeurTapee = valeurTapee.replaceAll("[^\\d.]", "");
    return valeurTapee;
}
function addSpaces(valeurTapee){
    //valeurTapee.replace("/([0-9]{2})/","\1 ");
    valeurTapee.replace(/(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})/, '$1 $2 $3 $4 $5');
    return valeurTapee;
}